sa_links_block:
  namespace: "Organisms/TM - Announcements"
  use: "@organisms/tm-sa/sa-block-top/sa-block-top.twig"
  label: Block - Top
  description: Block - Top
  libraries:
    - sa_links_block_lib:
        css:
          component:
            ../styles/sa-block-top.css: { weight: 10 }

  fields:
    text:
      type: text
      label: The link text
      description: The link text
      preview: "Customer notice: Keeping safe and social distancing when travelling with us"
    url:
      type: text
      label: URL
      description: The URL of the link
      preview: "#"
    intro:
      type: text
      label: Intro
      description: Extra text
      preview: "This is the introduction field from the node"
    extra:
      type: text
      label: Extra
      description: Extra text or date
      preview: "Last updated : <span class='timeago' data-time='2020-05-07T10:07:14Z' title='Thu, 07/05/2020 - 11:07'>about a year ago</span>"
    block_status:
      type: text
      label: Status
      description: The status for the annoucement
      preview: "major"

